PROJECT="JeremyLuatWeatherApp"
VERSION="1.0.0"
require "sys"
require "common"

-- 开启日志
require "log"
LOG_LEVEL = log.LOGLEVEL_TRACE

-- 引入audio模块，用来播放tts内容
require "audio"

-- 引入misc模块，用来查询当前时间
require "misc"

-- 初始化console模块，打开uart2，在可能通过串口输入一些lua代码的时候有用
require "console"
console.setup(2,115200)
-- 唤醒模块，放置模块进入睡眠
pm.wake("Jeremy")

-- 引入http模块，用来获取请求天气API获取天气信息
require "http"

-- 引入gc9106屏幕驱动
require "color_lcd_spi_gc9106l"

-- 引入st7735屏幕驱动
-- require "color_lcd_spi_st7735"

-- 引入获取天气并显示模块
require "getWeatherAndDisplay"

-- 启动LuatTask框架
sys.init(0,0)
sys.run()